package pps.core.space.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.util.Date;

@TableName("space_optimize_mid_period")
public class SpaceOptimizeMidPeriodEnt implements Serializable {
    @XText("ID")
    @TableId(type = IdType.AUTO)
    private String id;

    @XText("是否删除(0_是;1_否)")
    @TableField
    private Integer isDeleted;

    @XText("创建人ID")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("创建时间(优化开始时间)")
    @TableField
    private Date createTime;

    @XText("修改人ID")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    @XText("线路ID")
    @TableField
    private String lineId;

    @XText("间开制度ID")
    @TableField
    private String institutionId;

    @XText("执行周期")
    @TableField
    private String executionCycle;

    @XText("优化状态(0_已优化;1_未优化)")
    @TableField
    private Integer optimizeState;

    @XText("优化截止日期")
    @TableField
    private Date optimizeDeadline;

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public Integer getIsDeleted() {
        return this.isDeleted;
    }

    public void setIsDeleted(Integer value) {
        this.isDeleted = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public String getLineId() {
        return this.lineId;
    }

    public void setLineId(String value) {
        this.lineId = value;
    }

    public String getInstitutionId() {
        return this.institutionId;
    }

    public void setInstitutionId(String value) {
        this.institutionId = value;
    }

    public String getExecutionCycle() {
        return this.executionCycle;
    }

    public void setExecutionCycle(String value) {
        this.executionCycle = value;
    }

    public Integer getOptimizeState() {
        return this.optimizeState;
    }

    public void setOptimizeState(Integer value) {
        this.optimizeState = value;
    }

    public Date getOptimizeDeadline() {
        return this.optimizeDeadline;
    }

    public void setOptimizeDeadline(Date value) {
        this.optimizeDeadline = value;
    }

}
