package pps.core.space.service.data.space_institution_wellhead;

import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

public class GetSpaceInstitutionWellheadViewOutput {
    @XText("ID")
    private String id;

    @XText("是否删除(0_是,1_否)")
    private Integer isDeleted;

    @XText("创建人ID")
    private String createById;

    @XText("创建人名称")
    private String createByName;

    @XText("创建时间")
    private Date createTime;

    @XText("修改人ID")
    private String modifyById;

    @XText("修改人名称")
    private String modifyByName;

    @XText("修改时间")
    private Date modifyTime;

    @XText("间开制度ID")
    private String institutionId;

    @XText("井口ID")
    private String wellheadId;

    @XText("井号")
    private String wellNumber;

    @XText("运行类型key(字典获取)")
    private String runTypeKey;

    @XText("间开类型key(字典获取)")
    private String intervalTypeKey;

    @XText("间开描述")
    private String intervalDescribe;

    @XText("启动顺序")
    private Integer startSeq;

    @XText("开井天数")
    private Integer openWellDay;

    @XText("关井天数")
    private Integer closeWellDay;

    @XText("运行时长（小时/天）")
    private BigDecimal runDuration;

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public Integer getIsDeleted() {
        return this.isDeleted;
    }

    public void setIsDeleted(Integer value) {
        this.isDeleted = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public String getInstitutionId() {
        return this.institutionId;
    }

    public void setInstitutionId(String value) {
        this.institutionId = value;
    }

    public String getWellheadId() {
        return this.wellheadId;
    }

    public void setWellheadId(String value) {
        this.wellheadId = value;
    }

    public String getWellNumber() {
        return this.wellNumber;
    }

    public void setWellNumber(String value) {
        this.wellNumber = value;
    }

    public String getRunTypeKey() {
        return this.runTypeKey;
    }

    public void setRunTypeKey(String value) {
        this.runTypeKey = value;
    }

    public String getIntervalTypeKey() {
        return this.intervalTypeKey;
    }

    public void setIntervalTypeKey(String value) {
        this.intervalTypeKey = value;
    }

    public String getIntervalDescribe() {
        return this.intervalDescribe;
    }

    public void setIntervalDescribe(String value) {
        this.intervalDescribe = value;
    }

    public Integer getStartSeq() {
        return this.startSeq;
    }

    public void setStartSeq(Integer value) {
        this.startSeq = value;
    }

    public Integer getOpenWellDay() {
        return this.openWellDay;
    }

    public void setOpenWellDay(Integer value) {
        this.openWellDay = value;
    }

    public Integer getCloseWellDay() {
        return this.closeWellDay;
    }

    public void setCloseWellDay(Integer value) {
        this.closeWellDay = value;
    }

    public BigDecimal getRunDuration() {
        return this.runDuration;
    }

    public void setRunDuration(BigDecimal value) {
        this.runDuration = value;
    }

}
